<%@ Page Language="VB" %>

<HTML>
  <HEAD>
<script language=VB id=Script1 runat="server">
	'DateValues will be updated when the page loads and
	'when the button is clicked
	Sub Page_Load(sender As Object, e As EventArgs)
		UpdateDateValues
	End Sub
	
	Sub btnUpdate_OnClick(Sender As Object, E As EventArgs)
	lblNow.Text = "OK"
		UpdateDateValues
	End Sub
Sub UpdateDateValues()
    
	dim dtNow as DateTime
	dim intDaysinYear as integer
	dim ts as New TimeSpan
	

		
	'Set DateTime Object to Now
	dtNow = DateTime.Now

	'display various properties of the object
	lblNow.Text = dtNow.ToString
	
	lblNowFormatted.Text = dtNow.ToString("MMMM dd, yyyy")
	lblMonth.Text = dtNow.Month
	lblMonthFormatted.Text = dtNow.toString("MMMM")
	lblMonthAbbrev.Text = dtNow.ToString("MMM")
	
	lblDayofMonth.Text = dtNow.Day
	lblDayofWeek.Text = dtNow.DayofWeek
	lblDayofWeekFormatted.Text = dtNow.toString("dddd")
	lblDayofWeekAbbrev.Text = dtNow.toString("ddd")
	
	lblYear.Text = dtNow.Year
	lblYearFormatted.Text = dtNow.toString("yy")
	
	lblHour.Text = dtNow.Hour
	lblMinute.Text = dtNow.Minute
	lblSecond.Text = dtNow.Second
	lblMilliseconds.Text = dtNow.Millisecond
	lblEra.Text = dtNow.ToString("gg")
	lblUniversal.Text = dtNow.ToUniversalTime
	
	lblTicks.Text = dtNow.Ticks
	lblDayofYear.Text = dtNow.DayofYear
	
    intDaysinYear = iif(dtNow.IsLeapYear(dtNow.Year), 366, 365)
	lblDaysUntilNewYear.Text = (intDaysinYear - dtNow.DayofYear)
	lblDaysinMonth.Text = dtNow.DaysinMonth(dtNow.Year, dtNow.Month)
	lblLeapYear.Text = dtNow.IsLeapYear(dtNow.Year)
	lbl1000More.Text = dtNow.AddDays(1000).ToString
	TS = Ts.FromDays(1000)
	lbl1000Less.Text = dtNow.Subtract(Ts)
End Sub	
     

</script>
</HEAD>
<body id=Body1 runat="server">
<h4>Date time object example: <em></EM></H4>
<form id=Form1 action=DateTime.aspx method=post 
runat="server">
<p>Below, you see the property names and the corresponding 
values of .NET's DateTime Object.&nbsp; To refresh the values, click the button 
below: </P>
<p><asp:button id=btnUpdate onclick=btnUpdate_OnClick runat="server" text="Update"></asp:button></P></FORM>
<table border=1>
  <tr>
    <td><b>Property</B></TD>
    <td><b>Value</B></TD></TR>
  <tr>
    <td>Now</TD>
    <td><asp:label id=lblNow runat="server"></asp:label></TD></TR>
  <tr>
    <td>Now (Short, Formatted)</TD>
    <td><asp:label id=lblNowFormatted runat="server"></asp:label></TD></TR>
  <tr>
    <td>Month</TD>
    <td><asp:label id=lblMonth runat="server"></asp:label></TD></TR>
  <tr>
    <td>Month (Formatted)</TD>
    <td><asp:label id=lblMonthFormatted runat="server"></asp:label></TD></TR>
  <tr>
    <td>Month (Abbreviated)</TD>
    <td><asp:label id=lblMonthAbbrev runat="server"></asp:label></TD></TR>
  <tr>
    <td>Day of Month</TD>
    <td><asp:label id=lblDayofMonth runat="server"></asp:label></TD></TR>
  <tr>
    <td>Day of Week</TD>
    <td><asp:label id=lblDayofWeek runat="server"></asp:label></TD></TR>
  <tr>
    <td>Day of Week (Formatted)</TD>
    <td><asp:label id=lblDayofWeekFormatted runat="server"></asp:label></TD></TR>
  <tr>
    <td>Day of Week (Abbreviated)</TD>
    <td><asp:label id=lblDayofWeekAbbrev runat="server"></asp:label></TD></TR>
  <tr>
    <td>Year</TD>
    <td><asp:label id=lblYear runat="server"></asp:label></TD></TR>
  <tr>
    <td>Year (Formatted)</TD>
    <td><asp:label id=lblYearFormatted runat="server"></asp:label></TD></TR>
  <tr>
    <td>Hour</TD>
    <td><asp:label id=lblHour runat="server"></asp:label></TD></TR>
  <tr>
    <td>Minute</TD>
    <td><asp:label id=lblMinute runat="server"></asp:label></TD></TR>
  <tr>
    <td>Second</TD>
    <td><asp:label id=lblSecond runat="server"></asp:label></TD></TR>
  <TR>
    <TD>Millisecond</TD>
    <TD><asp:label id=lblMilliseconds runat="server"></asp:label></TD></TR>
  <tr>
    <td>Year Era</TD>
    <td><asp:label id=lblEra runat="server"></asp:label></TD></TR>
  <tr>
    <td>Universal Time</TD>
    <td><asp:label id=lblUniversal runat="server"></asp:label></TD></TR>
  <tr>
    <td>Seconds Since 1/1/0001</TD>
    <td><asp:label id=lblTicks runat="server"></asp:label></TD></TR>
  <tr>
    <td>Day of Year</TD>
    <td><asp:label id=lblDayofYear runat="server"></asp:label></TD></TR>
  <tr>
    <td>Days Until New Year</TD>
    <td><asp:label id=lblDaysUntilNewYear runat="server"></asp:label></TD></TR>
  <TR>
    <TD>Days in Month</TD>
    <TD><asp:label id=lblDaysInMonth runat="server"></asp:label></TD></TR>
  <TR>
    <TD>Is This a Leap Year</TD>
    <TD>
<asp:label id=lblLeapYear runat="server"></asp:label></TD></TR>
  <TR>
    <TD>1000 Days from Now</TD>
    <TD>
<asp:label id=lbl1000More runat="server"></asp:label></TD></TR>
  <TR>
    <TD>1000 Days Ago</TD>
    <TD>
<asp:label id=lbl1000Less runat="server"></asp:label></TD></TR></TABLE>

</body>
</HTML>
